# -*- coding: utf-8 -*-

import os

from excel_reporting import report_gen

from kinder.core.helpers import get_report_filepath


class GenericPrintReport(report_gen.BaseReport):
    """
    Печать чего-угодно.
    """

    def __init__(self, template_path, vars=None, name=None):
        (self.base_name, self.result_name, self.result_url) = (
            get_report_filepath('xls', name))

        if isinstance(template_path, list):
            template_name = os.path.join(*template_path)
        else:
            template_name = template_path

        self.template_name = os.path.join(
            os.path.dirname(__file__), template_name)
        self.vars = vars

    def collect(self, *args, **kwargs):
        return self.vars if self.vars else {}

    def get_result_url(self):
        return self.result_url
